Jeśli chcecie mnie wesprzeć to zapraszam do kupna mojego poradnika "Jakim jesteś Makiem?".

Mała rewolucja w iOS – użytkownicy starszych wersji iOS będą nadal mogli używać aplikacji, które już jej nie wspierają

· Wojtek Pietrusiewicz · 10 komentarzy

iOS legacy appsNa Reddit pojawił się ciekawy screenshot, na którym widać, że iOS pyta się użytkownika czy zgadza się na pobranie starszej wersji aplikacji, ponieważ nowa już nie jest kompatybilna z jego iOSem. To z pozoru nic wielkiego, ale w nadchodzących miesiącach czy latach może być rzeczywiście przełomowe.

Dotychczas wyglądało to tak, że jeśli ktoś miał dajmy na to miał iOS 5 to nie mógł zainstalować aplikacji przeznaczonej dla iOS 6. Takie sytuacje będą dotykać nas co raz częściej, tym bardziej, że iOS wspiera urządzenia “tylko” jakieś trzy lata wstecz. W przypadku iOS 7, będzie on wspierał tylko i wyłącznie iPhone’a 4 lub nowszego, każdego iPada poza pierwszą generacją oraz iPoda touch 5G. To użytkownicy iPodów i iPhone’ów 3GS lub starszych najbardziej odczują problemy z tym związane, ale może to się wkrótce zmienić.

Podobny problem Spotify rozwiązuje oferując dwie wersje swojej app – jedna dla iOS 4 lub nowszych, a druga dla iOS 6 lub nowszych.

Jeśli to co widzimy na tym screenie okaże się prawdą, to być może taki użytkownik starszego iOS będzie miał po prostu możliwość pobrania starszej wersji danej aplikacji, być może bez wszystkich najnowszych wodotrysków, ale nie będzie czuł się pominięty. Podobny problem Spotify rozwiązuje oferując dwie wersje swojej app – jedna dla iOS 4 lub nowszych, a druga dla iOS 6 lub nowszych.

Jeśli to wszystko dojdzie do skutku, a nie widzę powodu, dla którego miałoby tak nie być1, to już tylko od developerów będzie zależało czy będzie nadal istniał problem fragmentacji w tym zakresie. Fenomenalny ruch Apple, tym bardziej, że podejrzewam, że w przyszłym roku iPhone 4, który nadal jest bardzo popularny, dołaczy do grona urządzeń, które nie wspierają iOS 82.

Uaktualnienie

BUXAxIfIYAADb-G.jpg-large

Czytelnik @TomaszPadre donosi, że u niego to już działa na iPadzie pierwszej generacji. Ciekawe czy Apple to oficjalnie ogłosi, czy wprowadzi po cichu?

  1. No chyba, że screen jest podrobiony.
  2. Własne przemyślenia, podparte jedynie przeczuciem.

Chcesz zwrócić mi na coś uwagę lub skomentować? Zapraszam na @morid1n lub na forum.

  • SSebastian

    Chyba sobie kupię 3GS jako 2 telefon :)

  • wox37

    Mógł by to ktoś sprawdzić na iPhone pierwszej generacji?

  • Ciekawe czy na 3G z 4.2.1 to zadziała

  • No wreszcie, bardzo długo im to zeszło, idę odgrzebać w szufladzie iPhone’a 1G :D

  • Już go szukam, jak tylko znajdę sprawdzę i dam znać :)

  • W zacytowanym wątku na Reddit jest ciekawy fragment o tym, jak widzi to developer. Developerzy nie chcą generalnie by stare wersje aplikacji (czy inaczej, przypadkowe wersje aplikacji z momentu, kiedy następowało przejście na nowe wymagania) były nagle dostępne – czy to z powodu bliżej nieokreślonych bugów, czy z powodu wykorzystywania starych wersji api (własnych czy zewnętrznych).

    I w sumie racja – sam chciałbym móc znów zainstalować starą wersję jakiejś gry czy programu użytkowego, ale z drugiej strony taka aplikacja wcale nie musi być funkcjonalna. Ciekawe co się stanie przykładowo w grze, która jest zintegrowana z OpenFeint :)

  • Hash

    U mnie na iPodzie Touch 2G wyskakuje okienko, aczkolwiek później ikonka znika. Kupa.

  • Hash

    Spróbuj pobrać coś darmowego.

  • Ale te aplikacje kupiłem już dawno temu, właśnie na moim pierwszym iPhone’ie, właśnie na nich zależy mi najbardziej :(

    … choć mogę jeszcze później spróbować pobrać coś innego, jakieś propozycje co?

    Anyway, z tego co czytałem w komentarzach na sieci, nikomu ten ficzer nie działa na tak starym urządzeniu (iPhone 1G i iPod Touch 1G)

  • Hash

    u mnie /iPod Touch 2g/ appka się pojawia na 1s. i znika.